oasis.names.tc.saml._1_0.protocol

## Class Request

- java.lang.Object
- - oasis.names.tc.saml._1_0.protocol.RequestAbstractType
  - - oasis.names.tc.saml._1_0.protocol.Request

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class Request
      extends RequestAbstractType
      implements Serializable

  Java class for RequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:1.0:protocol}RequestAbstractType">
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}Query"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}SubjectQuery"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AuthenticationQuery"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AttributeQuery"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AuthorizationDecisionQuery"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AssertionIDReference" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}AssertionArtifact" maxOccurs="unbounded"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAssertionArtifacts()` Gets the value of the assertionArtifacts property.
    `List<String>` | `getAssertionIDReferences()` Gets the value of the assertionIDReferences property.
    `AttributeQuery` | `getAttributeQuery()` Gets the value of the attributeQuery property.
    `AuthenticationQuery` | `getAuthenticationQuery()` Gets the value of the authenticationQuery property.
    `AuthorizationDecisionQuery` | `getAuthorizationDecisionQuery()` Gets the value of the authorizationDecisionQuery property.
    `QueryAbstractType` | `getQuery()` Gets the value of the query property.
    `SubjectQueryAbstractType` | `getSubjectQuery()` Gets the value of the subjectQuery property.
    `void` | `setAttributeQuery(AttributeQuery value)` Sets the value of the attributeQuery property.
    `void` | `setAuthenticationQuery(AuthenticationQuery value)` Sets the value of the authenticationQuery property.
    `void` | `setAuthorizationDecisionQuery(AuthorizationDecisionQuery value)` Sets the value of the authorizationDecisionQuery property.
    `void` | `setQuery(QueryAbstractType value)` Sets the value of the query property.
    `void` | `setSubjectQuery(SubjectQueryAbstractType value)` Sets the value of the subjectQuery property.

    - ### Methods inherited from class oasis.names.tc.saml._1_0.protocol.RequestAbstractType

      `getIssueInstant, getMajorVersion, getMinorVersion, getRequestID, getRespondWiths, getSignature, setIssueInstant, setMajorVersion, setMinorVersion, setRequestID, setSignature`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request()

  - ### Method Detail

    - #### getAssertionArtifacts

          public List<String> getAssertionArtifacts()

      Gets the value of the assertionArtifacts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertionArtifacts property.

      For example, to add a new item, do as follows:

              getAssertionArtifacts().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getAssertionIDReferences

          public List<String> getAssertionIDReferences()

      Gets the value of the assertionIDReferences property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertionIDReferences property.

      For example, to add a new item, do as follows:

              getAssertionIDReferences().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getAuthorizationDecisionQuery

          public AuthorizationDecisionQuery getAuthorizationDecisionQuery()

      Gets the value of the authorizationDecisionQuery property.
      Returns:
        possible object is `AuthorizationDecisionQuery`

    - #### setAuthorizationDecisionQuery

          public void setAuthorizationDecisionQuery(AuthorizationDecisionQuery value)

      Sets the value of the authorizationDecisionQuery property.
      Parameters:
        `value` - allowed object is `AuthorizationDecisionQuery`

    - #### getAttributeQuery

          public AttributeQuery getAttributeQuery()

      Gets the value of the attributeQuery property.
      Returns:
        possible object is `AttributeQuery`

    - #### setAttributeQuery

          public void setAttributeQuery(AttributeQuery value)

      Sets the value of the attributeQuery property.
      Parameters:
        `value` - allowed object is `AttributeQuery`

    - #### getAuthenticationQuery

          public AuthenticationQuery getAuthenticationQuery()

      Gets the value of the authenticationQuery property.
      Returns:
        possible object is `AuthenticationQuery`

    - #### setAuthenticationQuery

          public void setAuthenticationQuery(AuthenticationQuery value)

      Sets the value of the authenticationQuery property.
      Parameters:
        `value` - allowed object is `AuthenticationQuery`

    - #### getSubjectQuery

          public SubjectQueryAbstractType getSubjectQuery()

      Gets the value of the subjectQuery property.
      Returns:
        possible object is `SubjectQueryAbstractType`

    - #### setSubjectQuery

          public void setSubjectQuery(SubjectQueryAbstractType value)

      Sets the value of the subjectQuery property.
      Parameters:
        `value` - allowed object is `SubjectQueryAbstractType`

    - #### getQuery

          public QueryAbstractType getQuery()

      Gets the value of the query property.
      Returns:
        possible object is `QueryAbstractType`

    - #### setQuery

          public void setQuery(QueryAbstractType value)

      Sets the value of the query property.
      Parameters:
        `value` - allowed object is `QueryAbstractType`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.